Debian Bug report logs - #264098
always thinks lines that start with '---' are real files

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: Joshua Kwan <joshk@triplehelix.org>

Date: Sat, 7 Aug 2004 01:48:01 UTC

Severity: minor

Tags: upstream

Found in version 1.34-1

Fixed in version diffstat/1.35-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#264098; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
New Bug report received and forwarded. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: always thinks lines that start with '---' are real files
Date: Fri, 06 Aug 2004 18:33:11 -0700
Package: diffstat
Version: 1.34-1
Severity: minor
Tags: upstream

This may be difficult to fix.

I was diffing two source trees, and noticed this:

$ diff -ur fortune-mod-1.99.1 fortune | diffstat
 Pascal                                  |    1
 fortune-mod-1.99.1/tools                |only
 fortune/CVS                             |only
 fortune/ChangeLog                       |   12 -
[snipped]...

Pascal? 

$ find fortune fortune-mod-1.99.1 -name 'Pascal'
$

Hm, not that. I peek into the diff, and discover the source of its
confusion.

[snipped]
-* Localised -a and -o fortune display
-
--- Pascal Hakim <pasc@redellipse.net>
+ * Replace current Makefiles with an autoconf setup (maybe use automake?)
Only in fortune-mod-1.99.1: tools
Only in fortune/util: CVS

Notice --- before "Pascal Hakim <pasc@redellipse.net>". I gather that
diffstat thinks this is a real file.

This may be hard to place formatting checks on.. perhaps check for +++
on the next line, otherwise treat the line with --- as part of the
previous hunk?

Thanks
Josh

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-rc2
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages diffstat depends on:
ii  libc6                       2.3.2.ds1-15 GNU C Library: Shared libraries an

-- no debconf information



Message sent on to Joshua Kwan <joshk@triplehelix.org>:
Bug#264098. Full text and rfc822 format available.

Message #8 received at 264098-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 264098-submitter@bugs.debian.org
Subject: Re: Bug#264098: always thinks lines that start with '---' are real files
Date: Sat, 7 Aug 2004 07:50:00 -0400
[Message part 1 (text/plain, inline)]
On Sat, Aug 07, 2004 at 04:00:08AM +0200, Joshua Kwan wrote:
> Package: diffstat
> Version: 1.34-1
...
> --- Pascal Hakim <pasc@redellipse.net>
> + * Replace current Makefiles with an autoconf setup (maybe use automake?)
> Only in fortune-mod-1.99.1: tools
> Only in fortune/util: CVS
> 
> Notice --- before "Pascal Hakim <pasc@redellipse.net>". I gather that
> diffstat thinks this is a real file.
> 
> This may be hard to place formatting checks on.. perhaps check for +++
> on the next line, otherwise treat the line with --- as part of the
> previous hunk?

that might work.  I seem to recall noticing that might be a problem, but
didn't have an example at hand where it would fail.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#264098; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <haphazard@kc.rr.com>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #13 received at 264098@bugs.debian.org (full text, mbox):

From: Greg Norris <haphazard@kc.rr.com>
To: Joshua Kwan <joshk@triplehelix.org>, 264098@bugs.debian.org
Subject: Re: Bug#264098: always thinks lines that start with '---' are real files
Date: Mon, 9 Aug 2004 12:10:29 -0500
[Message part 1 (text/plain, inline)]
Thanx for the report.  I'll forward your information upstream shortly,
and see how he would prefer to address the issue.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#264098; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #18 received at 264098@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 264098@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=264098
Date: Wed, 10 Nov 2004 15:06:36 -0500
>                       Debian Bug report logs - #264098
>           always thinks lines that start with '---' are real files
Coincidentally, I had a diff two weeks later with the same problem, and
studying it I found that the problem was not simply the "---" lines, but
that it did not reset a counter when the editing chunk was done.  There's
a fix in version 1.35
	http://invisible-island.net/diffstat/
	ftp://invisible-island.net/diffstat/diffstat-1.35.tgz
See also
	ftp://invisible-island.net/ncurses/5.4/ncurses-5.4-20040821.patch.gz
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joshua Kwan <joshk@triplehelix.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 264098-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 264098-close@bugs.debian.org
Subject: Bug#264098: fixed in diffstat 1.35-1
Date: Thu, 11 Nov 2004 20:02:03 -0500
Source: diffstat
Source-Version: 1.35-1

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.35-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.35-1.diff.gz
diffstat_1.35-1.dsc
  to pool/main/d/diffstat/diffstat_1.35-1.dsc
diffstat_1.35-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.35-1_i386.deb
diffstat_1.35.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 264098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 11 Nov 2004 17:11:57 -0600
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.35-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 264098
Changes: 
 diffstat (1.35-1) unstable; urgency=low
 .
   * New upstream release.
     - Handle lines beginning with "---" in unified diffs. (closes: #264098)
   * Bump policy version to 3.6.1 (no changes required).
Files: 
 2d6bd9663273c1dd70ddb54744136ad0 558 devel optional diffstat_1.35-1.dsc
 97a8061b3f8510d6a5c490eea75d8230 69954 devel optional diffstat_1.35.orig.tar.gz
 a85dd6a0d300b59dbdeb085bee3aba36 3190 devel optional diffstat_1.35-1.diff.gz
 1f4653635385c2bb90482e6640a98f79 15492 devel optional diffstat_1.35-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBlALggrEMyr8Cx2YRAtBpAKCjX8WVU+e/8ktIaVspIiduyLm1zgCfYfow
22hjAM8FBf42kDegty4xxdw=
=dR9v
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:32:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.